Outside Reference
2015-06-10 11:15 AM - Nicholas Jillings

Status: Resolved Start date: 2015-06-10
Priority: High Due date:
Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:
Description

Allow for a separate sample outside the scale to be provided as a reference.

History
#1 - 2015-07-23 10:22 AM - Nicholas Jillings
- Status changed from New to In Progress
- Priority changed from Normal to High

#2 - 2015-07-23 10:36 AM - Nicholas Jillings
- % Done changed from 0 to 80

Implemented, only bug is once played, another fragment must play before the reference can be played again. GUI a bit ugly as well.

#3 - 2015-11-23 11:03 AM - Nicholas Jillings
- Status changed from In Progress to Resolved

#4 - 2016-02-15 12:39 PM - Nicholas Jillings
- Status changed from Resolved to In Progress

Ensure that ALL interfaces have an outside reference module

#5 - 2016-03-22 12:09 PM - Nicholas Jillings
- Status changed from In Progress to Resolved
- % Done changed from 80 to 100

Fixed in dev_main. All interfaces support one <audioelement> with type-"outside-reference" except ABX which by definition cannot have a reference
(as the test uses two references, one unknown).

The common outside reference type can now be built using interfaceContext.outsideReferenceDOM() function for third party interfaces.

2024-05-17 1/1


